You are not logged in.

#1 2012-02-05 10:53:23

Badener
Member
Registered: 2011-12-31
Posts: 43

libpng/libtiff update errors [solved]

Edit Pablokal: please try to use not generic post titles
So not
Update broke my system
but
Error message after update: libpng14.so.14: cannot open shared object file



Hi, today i made a update with packer

[2012-02-05 16:28] upgraded avahi (0.6.30-6 -> 0.6.30-7)
[2012-02-05 16:28] upgraded cairomm (1.10.0-1 -> 1.10.0-2)
[2012-02-05 16:28] upgraded libtiff (3.9.5-1 -> 4.0.0-1)
[2012-02-05 16:28] upgraded libpng (1.4.8-1 -> 1.5.8-1)
[2012-02-05 16:28] upgraded libcups (1.5.0-1 -> 1.5.0-2)
[2012-02-05 16:28] g_module_open() failed for /usr/lib/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.so: : No such file or directory
[2012-02-05 16:28] upgraded gdk-pixbuf2 (2.24.1-1 -> 2.24.1-3)
[2012-02-05 16:28] upgraded gtk-update-icon-cache (2.24.9-2 -> 2.24.9-3)
[2012-02-05 16:28] usr/bin/gtk-query-immodules-2.0: error while loading shared libraries: libpng14.so.14: cannot open shared object file: No such file or directory
[2012-02-05 16:28] upgraded gtk2 (2.24.9-2 -> 2.24.9-3)
[2012-02-05 16:28] upgraded chromium (16.0.912.77-1 -> 16.0.912.77-2)
[2012-02-05 16:28] upgraded feh (2.3-1 -> 2.3-2)
[2012-02-05 16:28] upgraded firefox (10.0-0 -> 10.0-1)
[2012-02-05 16:28] upgraded fontforge (20111214-3 -> 20120119-1)
[2012-02-05 16:28] upgraded gd (2.0.36RC1-4 -> 2.0.36RC1-5)
[2012-02-05 16:28] upgraded gnupg (1.4.11-3 -> 1.4.12-1)
[2012-02-05 16:28] upgraded gstreamer0.10-bad (0.10.22-3 -> 0.10.22-4)
[2012-02-05 16:28] upgraded mjpegtools (2.0.0-1 -> 2.0.0-2)
[2012-02-05 16:28] g_module_open() failed for /usr/lib/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.so: libpng14.so.14: cannot open shared object file: No such file or directory
[2012-02-05 16:28] upgraded librsvg (2.34.2-1 -> 2.34.2-3)
[2012-02-05 16:28] upgraded gstreamer0.10-bad-plugins (0.10.22-3 -> 0.10.22-4)
[2012-02-05 16:28] upgraded gstreamer0.10-good (0.10.30-1 -> 0.10.30-2)
[2012-02-05 16:28] upgraded gstreamer0.10-good-plugins (0.10.30-1 -> 0.10.30-2)
[2012-02-05 16:28] upgraded gtk-engine-murrine (0.98.1.1-2 -> 0.98.1.1-3)
[2012-02-05 16:28] upgraded gtk-engines (2.20.2-1 -> 2.20.2-2)
[2012-02-05 16:28] upgraded gtkmm (2.24.2-1 -> 2.24.2-2)
[2012-02-05 16:28] upgraded imlib2 (1.4.5-1 -> 1.4.5-2)
[2012-02-05 16:28] upgraded lcms (1.19-1 -> 1.19-2)
[2012-02-05 16:28] upgraded lcms2 (2.3-1 -> 2.3-2)
[2012-02-05 16:28] upgraded libunique3 (3.0.2-1 -> 3.0.2-2)
[2012-02-05 16:28] upgraded libwebkit3 (1.6.1-1 -> 1.6.3-1)
[2012-02-05 16:28] upgraded libxfcegui4 (4.8.1-3 -> 4.8.1-4)
[2012-02-05 16:28] upgraded mplayer (34426-1 -> 34426-2)
[2012-02-05 16:28] upgraded openmotif (2.3.3-1 -> 2.3.3-2)
[2012-02-05 16:28] upgraded poppler (0.18.3-1 -> 0.18.3-2)
[2012-02-05 16:28] upgraded poppler-glib (0.18.3-1 -> 0.18.3-2)
[2012-02-05 16:28] upgraded pygtk (2.24.0-2 -> 2.24.0-3)
[2012-02-05 16:28] upgraded python2-gconf (2.28.1-7 -> 2.28.1-8)
[2012-02-05 16:28] upgraded sane (1.0.22-4 -> 1.0.22-5)
[2012-02-05 16:28] upgraded xorg-xcursorgen (1.0.4-2 -> 1.0.4-3)

After that my system was broken.I made a reboot and after login only conky and urxvt works no wallpaper no other app can start.When i try to start apps over the terminal i get errors.
I found the news News: libpng/libtiff rebuilds move from [testing]
http://www.archlinux.org/news/libpnglib … m-testing/
I reinstall librsvg but this solved not the problem.

Edit:
I solved it like a boss.
First i make a

pacman -Qm

and search for the cairo packages on my system,for me it was cairo-ubuntu.
Then boot from a live cd the noob way smile .Open up a browser and search the AUR for cairo-ubuntu.Download the tar-archiv,extract it and reboot without the cd.
cd into the extract folder ,makepkg and install the package.
It`s also a good idea to ad an uptodate mirror to ur mirrorlist http://www.archlinux.org/mirrors/status/ for a pacman -Syu.

Last edited by Badener (2012-02-05 12:19:45)

Offline

#2 2012-02-05 15:48:44

masterchief
Member
Registered: 2012-02-05
Posts: 3

Re: libpng/libtiff update errors [solved]

Thank You. It's also connected with this issue : http://bbs.archbang.org/viewtopic.php?id=2218

Last edited by masterchief (2012-02-05 16:39:43)

Offline

#3 2012-02-05 19:30:25

default
Member
Registered: 2012-02-05
Posts: 1

Re: libpng/libtiff update errors [solved]

I think I had the same issue, nitrogen and any gtk-application refused to work. However, I was able to (at least for now) fix it with installing libpng14 from the aur (enableing community-testing and system-update did not solve the issue for me)

mfg

Offline

#4 2012-02-13 14:07:55

distrohopperarched
Member
Registered: 2012-01-30
Posts: 104

Re: libpng/libtiff update errors [solved]

I installed an application. It complained about libpng15 missing, I installed that too. Now I receive that erorr and nothing starts up. I recompiled cairo-ubuntu but it still can't start pidgin.

Could someone please tell me what to do before I shutdown this computer and find it unable to start it up again ? Or will it work ?

Offline

#5 2012-02-19 17:18:38

kc117mx
Member
Registered: 2012-02-19
Posts: 1

Re: libpng/libtiff update errors [solved]

I've been focusing more on building my Arch server and my MCITP cert so I haven't updated my ArchBang system in quite a while.  Today I decided to give my AB system a try for remote administration....so I updated first...
After the update I got the following error when trying to access the applications menu in OpenBox:

invlid output from pipe-menu "openbox-menu"

I have researched this problem and found that none of the solutions that I found in the forums would work for me.  I an still fairly new to Arch so there are still some things that I don't understand, but I'm learning. 

This is what I did to solve this prolbem:

During the process of troubleshooting and trying out all of the fixes that were posted in the forums, I could not find a solution that worked.  At some point, my system said that cairo-ubuntu was not installed or maybe that I could not reinstall it.  Since one of the solutions to this problem involved cairo-ubuntu I decided to investigate further.  I remember having played around with cairo during one of my earlier installations, so I checked to see if reinstalling cairo would maybe solve my problem.  Since nothing else worked I figured that I could always go back to the command line to repair anything that went wrong.
So I ran

pacman -S cairo

which said that there was a conflict between cairo and cairo-ubuntu and asked if I would like to uninstall cairo-ubuntu.  I said yes and proceeded with the installation of cairo.  After the installation was complete, the menu was back to working condition.  Now I can get back to building my Arch server core and use AB for remote administration.

I am not currently sure what the difference between cairo and cairo-ubuntu is yet.  I will look into that later.  I'm just happy to have the system back to a working condition again.

Thanks to all who helped me to get to this conclusion.

Offline

#6 2013-05-24 17:01:18

pablokal
Administrator
From: Nijmegen, Holland
Registered: 2010-10-12
Posts: 3,242
Website

Re: libpng/libtiff update errors [solved]

I again have this libpng issue after updating; reinstalling gtk-pixbuf and gtk2 and gtk3 didn't solve it.
Also reinstalling libwmf at which the error first was shown during pacman update didn't solve it
Error running smplayer: /usr/bin/mplayer: error while loading shared libraries: libpng15.so.15: cannot open shared object file: No such file or directory.
Will need  to rebuild some packages from AUR like mplayer-vdpau-svn. Build failed, so back to mplayer.


Getting your questions answered here at ArchBang Forums
Please! Always give hardware info, if there is a chance that 's relevant: #lspci -vnn
On Arch(bang) and Openbox: http://stillstup.blogspot.com/

Offline

Board footer

Powered by FluxBB